
import React from 'react';
import Icon from 'react-icon-base';

const SlChemistry = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M810.416 -10.7197l-170.401 201.664v353.504h21.3115c17.6797 0 32 14.3203 32 32s-14.3203 32 -32 32h-53.3115c-17.6797 0 -32 -14.3203 -32 -32v-397.824c0 -7.93555 2.94434 -15.5674 8.25586 -21.4395l130.368 -157.344h-405.28l130.368 157.344 c5.31152 5.87207 8.25586 13.5039 8.25586 21.4395v397.824c0 17.6797 -14.3203 32 -32 32h-53.3115c-17.6797 0 -32 -14.3203 -32 -32s14.3203 -32 32 -32h21.3115v-353.504l-170.4 -201.664c-8.46387 -9.37598 -10.624 -22.8799 -5.50391 -34.4316 c5.15234 -11.5684 16.5928 -19.0088 29.249 -19.0088h549.344c12.6562 0 24.0967 7.44043 29.249 19.0088c5.12012 11.5518 2.97656 25.0557 -5.50391 34.4316zM479.999 640.32c35.2637 0 63.8398 28.5918 63.8398 63.8398c0 35.2158 -28.5762 63.8076 -63.8398 63.8076 c-35.2803 0 -63.8398 -28.5918 -63.8398 -63.8076c0 -35.248 28.5596 -63.8398 63.8398 -63.8398zM688.479 735.312c62.3682 0 112.928 50.3359 112.928 112.416s-50.5439 112.416 -112.928 112.416c-62.3516 0 -112.928 -50.3359 -112.928 -112.416 s50.5762 -112.416 112.928 -112.416zM687.983 896.337c26.6562 0 48.3359 -21.584 48.3359 -48.1279c0 -26.5283 -21.6797 -48.1279 -48.3359 -48.1279s-48.3359 21.5996 -48.3359 48.1279c0.015625 26.5439 21.6797 48.1279 48.3359 48.1279z"/></g>
    </Icon>
);

export default SlChemistry;
